%define api	4
%define major	1
%define	girmajor 4.0
%define libname	 %mklibname mate-panel-applet %{api} %{major}
%define libname2 %mklibname mate-panel-applet 2 %{major}
%define girname	%mklibname matepanelapplet-gir %{girmajor}
%define devname %mklibname -d mate-panel-applet

Summary:	The core programs for the MATE GUI desktop environment
Name:		mate-panel
Version:	1.19.3
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	%{name}-%{version}.tar.xz
Source1:	default.layout
Source2:	org.mate.panel.applet.clock.gschema.xml
BuildRequires: itstool
BuildRequires: docbook-dtd412-xml
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: mate-menus-devel
BuildRequires: xsltproc
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}dconf-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}mateweather-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libxml2-utils
BuildRequires: %{_lib}wnck3-devel

Requires:	desktop-common-data

%description
The MATE panel packages provides the mate panel, menus and some
basic applets for the panel.


%package devel
Summary:	Development libraries, include files for MATE panel
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{name}-%{version}

%description devel
Panel libraries and header files for creating MATE panels.

%prep
%setup -q


%build

%configure2_5x \
	--disable-static \
	--libexecdir=%{_libexecdir}/mate-applets \
	--enable-introspection  \
	--disable-scrollkeeper \
	--disable-schemas-install \
    --with-gtk=3.0

%make LIBS='-lgmodule-2.0'

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name '*.la' -delete;

%find_lang %{name}-3.0 --with-gnome --all-name

#default panel layout
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/mate-panel/layouts/default.layout

#default clock settings
install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.clock.gschema.xml

# remove needless gsettings convert file to avoid slow session start
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/mate-panel.convert

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%files -f %{name}-3.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_libexecdir}/mate-applets/clock-applet
%{_libexecdir}/mate-applets/fish-applet
%{_libexecdir}/mate-applets/notification-area-applet
%{_libexecdir}/mate-applets/wnck-applet
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.ClockAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.FishAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.NotificationAreaAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.WnckletFactory.service
%{_datadir}/mate-panel
%{_datadir}/help
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas
%{_libdir}/libmate-panel-applet-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/MatePanelApplet-%{girmajor}.typelib


%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libmate-panel*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/MatePanelApplet-%{girmajor}.gir

%clean
rm -rf %buildroot

%changelog
* Mon Aug 14 2017 threepio <threepio> 1.19.3-1uplos2017
- update

* Tue Jul 18 2017 threepio <threepio> 1.19.2-1uplos2017
- new version

* Thu Apr 06 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Fri Mar 24 2017 bb2 <bb2> - 1.18.0-3pclos2017
- update from git to get fixes

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-2pclos2017
- fix right click edit menu on menu icon

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Mon Feb 06 2017 bb <bb> - 1.16.1-2pclos2017
- rebuild

* Mon Feb 06 2017 bb <bb> - 1.16.1-1pclos2017
- new version


* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Mon Aug 15 2016 bb <bb> 1.14.2-1pclos2016
- update

